How to update to a specific firmware via Download Play?

Discussion in '3DS - Homebrew Development and Emulators' started by ToniCodrea, Nov 18, 2015.

  1. ToniCodrea
    OP

    ToniCodrea Member

    Newcomer
    30
    2
    Sep 13, 2014
    Romania
    So, I have a 3DS on 4.5 and recently got another one on 1.1 but with a broken card slot. Managed to update to 2.2 via Mario Kart 7 Download Play, but I'm stuck now. Every other game I tried doesn't let me do that. Are there any other games that will update to something under 9.2 with Download Play?
     


  2. Rollin'Barrel

    Rollin'Barrel Member

    Newcomer
    11
    2
    Nov 3, 2014
    Serbia, Republic of
    I guess Sonic Lost World will do it. It has 5.1, so...
     
  3. Josephvb10

    Josephvb10 The Pokémon guy

    Member
    531
    378
    Aug 26, 2009
    Lumiose City
    Interesting... I didn't even know you could update the system via download play.
     
  4. ToniCodrea
    OP

    ToniCodrea Member

    Newcomer
    30
    2
    Sep 13, 2014
    Romania
    Already tried it, won't let me update. Says that if the other system requires an update the user should do it in the system settings.
     
  5. anonymoose

    anonymoose Lannister

    Member
    168
    67
    Nov 15, 2015
    Germany
    Kashyyyk
    i thought its like this every time :o
    yup thats pretty interesting
     
  6. ToniCodrea
    OP

    ToniCodrea Member

    Newcomer
    30
    2
    Sep 13, 2014
    Romania
    Mario Kart 7 let me update from 1.1 to 2.2(which is the game's required firmware). I thought about making a 6.2.0 emuNAND and trying again with other titles since after 7.x afaik they changed the encryption so that might be a problem.
     
  7. anonymoose

    anonymoose Lannister

    Member
    168
    67
    Nov 15, 2015
    Germany
    Kashyyyk
    please keep me updated about this
     
  8. Rollin'Barrel

    Rollin'Barrel Member

    Newcomer
    11
    2
    Nov 3, 2014
    Serbia, Republic of
    Oh, that's how it is...
    I think, there have to be lowest fw, at which it says this "update via settings" thing...
    Try Sonic All-Stars Racing Transformed, 4.4. If that one doesn't work... well, you have to fix slot.
    Also, since you're lower than 7.0, you can dump your nand and inject FBI in it, then just install fw via CIA's.
     
    Last edited by Rollin'Barrel, Nov 18, 2015
  9. ToniCodrea
    OP

    ToniCodrea Member

    Newcomer
    30
    2
    Sep 13, 2014
    Romania
    On 2.2? How?
     
  10. Rollin'Barrel

    Rollin'Barrel Member

    Newcomer
    11
    2
    Nov 3, 2014
    Serbia, Republic of
    Via hardmod. It's not that difficult, in fact.
     
  11. ToniCodrea
    OP

    ToniCodrea Member

    Newcomer
    30
    2
    Sep 13, 2014
    Romania
    Got a guide?
     
  12. Rollin'Barrel

    Rollin'Barrel Member

    Newcomer
    11
    2
    Nov 3, 2014
    Serbia, Republic of
    Lot of. For XL and for normal one, also here.
     
    Last edited by Rollin'Barrel, Nov 18, 2015
  13. Dr.Hacknik

    Dr.Hacknik Maniac | Dev | Furry Lewd Cat Gril

    Member
    1,149
    862
    Mar 26, 2014
    United States
    my lewd corner
    Is everybody enjoying the Newcomer Conversation!? Well, it seems that there are alot of Games out there that have the 4.x-6.x FW Update .cia's....but how do you know where to get em', im here to save the DAY!!

    Click me for the List!!(4.0-5.1)
     
  14. Rollin'Barrel

    Rollin'Barrel Member

    Newcomer
    11
    2
    Nov 3, 2014
    Serbia, Republic of
    Cmon, my friend, at least open your eyes before posting.
     
  15. Dr.Hacknik

    Dr.Hacknik Maniac | Dev | Furry Lewd Cat Gril

    Member
    1,149
    862
    Mar 26, 2014
    United States
    my lewd corner
    Im aware of that, but i just want to give him a list of Games with 4.x --> 6.x....but how did he find a System w/1.1 on it!? But then the Broken Cartridge slot is a Bad, that seems like he's stuck there, no working slot, well....no Exploits, and since he's on 1.1 there is really no way he can use Exploits (TubeHax, MenuHax, SpiderHax, and Even NinjHax)
     
  16. ToniCodrea
    OP

    ToniCodrea Member

    Newcomer
    30
    2
    Sep 13, 2014
    Romania
    Welp, seems like I'll have to sell this one and try to get another one with a usable firmware.
     
    Dr.Hacknik likes this.
  17. Dr.Hacknik

    Dr.Hacknik Maniac | Dev | Furry Lewd Cat Gril

    Member
    1,149
    862
    Mar 26, 2014
    United States
    my lewd corner
    I'd Recommend a System with 4.1 or 4.4. then you can use Gateway.
    After doing so, i would make a EmuNAND, then installing a Newer FW.

    You can use my Program 3DNUS 2.5 to download & Install FW's 2.x ---> 8.x.
     
    Last edited by Dr.Hacknik, Nov 18, 2015
  18. Rollin'Barrel

    Rollin'Barrel Member

    Newcomer
    11
    2
    Nov 3, 2014
    Serbia, Republic of
    Well, choice is yours after all, but i'd rather fix this or do a hardmod.. Eh, i'll pray that someone who'll buy it will fix it.
     
  19. Ammako

    Ammako GBAtemp Guru

    Member
    6,404
    3,535
    Dec 22, 2009
    Canada
    How would you get your fat16 xorpads to decrypt the nand dump?
    Or is that not needed for nands under 7.0?
    And even then, you wouldn't be able to start up FBI because it wouldn't be properly signed.

    Weren't the older firmware files removed from Nintendo's servers? 3DNUS wouldn't be able to get them.
     
    Last edited by Ammako, Nov 18, 2015
  20. Rollin'Barrel

    Rollin'Barrel Member

    Newcomer
    11
    2
    Nov 3, 2014
    Serbia, Republic of
    Nay, it's not needed since it's not encrypted. Or at least i think so, yeah, very likely that i am wrong.